Subject: bug#70784: Abolish string resizing

From: Stefan Monnier <[email-masked]>
Date: Sun, 05 May 2024 14:09:10 -0400

> That's fine, but a warning might help in emacs-30 to prepare for making
> resizing an error in emacs-31.
> Here's how that would work: the first 5 times (say), emit a warning like
>
>  Warning: `aset' on a multibyte string with char value #x2022 will become an error in Emacs 31
>
> followed by a truncated stack trace, just enough to help the user (or
> someone helping out) see what package is responsible.

Similar to what I do in `track-changes.el` when we detect a missing
call to `after/before-change-functions`?  I like that.
If the warning is too annoying, we could do like I did there, i.e. only
emit the warning when running in a non-release Emacs (i.e. when
`emacs-version` has 2 dots), and offer a variable to control whether to
emit the warning or not.

        Stefan